Subject: bug#22136: [osx] core dump while building emacs-25

From: Alex Dunn <[email-masked]>
Date: Fri, 11 Dec 2015 23:48:20 -0800

Haven’t forgotten about this, but it’s new territory for me and
apparently capturing core dumps isn’t as straightforward as it should be
on OSX.  Or I’m just confused; but either way I’ll figure it out when I
can.

Eli Zaretskii <[email-masked]> writes:

>> From: Alex Dunn <[email-masked]>
>> Date: Wed, 09 Dec 2015 20:20:44 -0800
>> 
>> 
>> `make -C ../lisp update-subdirs` on the emacs-25 branch has been
>> reliably causing a core dump the past two or three days.  Here are the
>> build logs: https://gist.github.com/dunn/ff087e9b533d373ab10b#file-03-make-L568
>> 
>> It doesn’t cause the build to fail (except for when I made some changes
>> to the source tree that I can’t reproduce; logs here if anyone’s
>> interested: https://gist.github.com/dunn/43f10877f11c97ab28f0#file-03-make-L291) so
>> I don’t know how serious an issue this is.  It occurs with -j1 and -j4,
>> with Clang and with GCC 5.3.0.
>
> Can you show the core dump itself, i.e. what command dumps core?
> Also, a backtrace from GDB would be useful.  I looked at the data you
> linked to, and I cannot see there any information about the crash
> itself.
>
> Thanks.